<?php
require_once('config.inc'); 
require_once(CORE_PATH . 'langHeader.inc'); 
require_once(LIB_PATH . 'Page.inc'); 
require_once(CORE_PATH . 'common.inc'); 
require_once(LIB_PATH . 'Queries.inc'); 
function x_3j($x_3k = Array(), $x_6 = Array()) { 
$x_1w = ''; 
if (in_array($x_3k['page'], $x_6) && 1 == $x_3k['requestValid']) { 
include(TEMPLATE_PATH . 'page_' . $x_3k['page'] . '.inc'); 
if ($x_3k['page'] != 'activity') { 
if ('xml' == $x_3k['docType'] && $x_3k['moduleId'] != 0) { 
$x_1w .= x_25('xml', $x_3k['moduleId'], $x_3k); 
} else { 
$x_1w .= x_25('html', 0, $x_3k); 
} 
} else { 
header("content-type: text/html; charset=utf-8"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Expires: Mon, 10 Jan 1970 01:00:00 GMT"); 
header("elemId: " . $x_3k['moduleId']); 
x_25('activity', $x_3k['moduleId'], $x_3k); 
die(); 
} 
} else if (0 == $x_3k['requestValid']) { 
$x_1w = ''; 
} else { 
$x_1w .= 'Page not found'; 
} 
if ('simple' == $x_3k['docType']) { 
$x_1o = '<div id="x_3l">' . $x_1w . '</div>'; 
$x_1o .= '<script type="text/javascript">


									window.top.document.getElementById(\'mainBody\').innerHTML = document.getElementById(\'x_3l\').innerHTML;


								</script>'; 
$x_v = new x_w(); 
$x_v->x_1o($x_1o); 
$x_v->x_y(); 
} elseif ('html' == $x_3k['docType']) { 
$x_v = new x_w(); 
$cssFiles = Array(STYLE_PATH . 'common.css', STYLE_PATH . 'main.css'); 
$x_v->x_a($cssFiles, $x_3k['htmlDoc']); 
$x_v->x_1o($x_1w); 
$x_v->x_y(); 
} elseif ('xml' == $x_3k['docType']) { 
header("content-type: text/html; charset=utf-8"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Expires: Mon, 10 Jan 1970 01:00:00 GMT"); 
header("elemId: " . $x_3k['moduleId']); 
echo $x_1w; 
} 
} 
$x_1->getCsrf(&$x_s); 
$x_t = $_REQUEST['x_u']; 
if (!isset($x_3k) || !is_array($x_3k)) { 
$x_3k = Array(); 
$x_3k['page'] = $_GET['page']; 
$x_3k['docType'] = $_GET['docType']; 
$x_3k['moduleId'] = intval($_GET['moduleId']); 
$x_3k['userId'] = intval($_GET['userId']); 
$x_3k['protoId'] = intval($_GET['protoId']); 
$x_3k['periodStart'] = intval($_GET['periodStart']); 
$x_3k['periodEnd'] = intval($_GET['periodEnd']); 
$x_3k['errorType'] = intval($_GET['errorType']); 
} 
if ('' == $x_t || $x_t != $x_s) { 
$x_3k['requestValid'] = 0; 
} else { 
$x_3k['requestValid'] = 1; 
} 
x_3j($x_3k, $x_6); 
?>
